
QGIS Application - Bug report #7370

QGIS 1.8 crashes when attempting to specify CRS

2013-03-16 12:01 PM - Charles Petersen

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 16343

Description

When running QGIS 1.8 Lisboa, QtCore4.dll causes program crash when attempting to specify CRS for layer or project on two separate

Windows 7 platforms (one Win7 Professional and the other Win7 Home Premium). The problem does not occur when running QGIS 1.8

on a Windows XP Professional platform. Diagnostics already performed: disabled McAfee realtime scanning and reinstalled QGIS;

deleted .qgis folder and reinstalled QGIS with new .qgis folder; searched for other versions of QtCore4.dll on computer with negative

results (i.e., the version in C:/Program Files (x86)/Quantum GIS Lisboa/bin is the only one on my computer. Good luck!

Related issues:

Duplicates QGIS Application - Bug report # 7377: Leftover custom CRS referenc... Closed 2013-03-16

History

#1 - 2013-03-16 11:36 PM - Maxim Dubinin

Do you use custom CRS?

Try this:

1. open regedit

2. go to HKEY_USERS\\S-1-5-21-[many numbers here]-1000\\Software\\QuantumGIS\\QGIS\\UI

3. remove recentProjections and recentProjectionsAuthId

4. start QGIS

5. Try to specify CRS again

#2 - 2013-03-16 11:44 PM - Maxim Dubinin

related #7377

#3 - 2013-03-17 01:43 AM - Maxim Dubinin

- Affected QGIS version changed from 1.8.0 to master

#4 - 2013-03-17 06:25 AM - Giovanni Manghi

- Priority changed from Normal to High

#5 - 2013-03-18 04:51 AM - Charles Petersen

Fix proposed by Maxim Dubinin:

"1. open regedit

2. go to HKEY_USERS\\S-1-5-21-[many numbers here]-1000\\Software\\QuantumGIS\\QGIS\\UI
3. remove recentProjections and recentProjectionsAuthId

4. start QGIS

5. Try to specify CRS again"

solved the problem described in my original bug report 7370, 16 March 2013.

Большое спасибо!

#6 - 2013-05-31 08:21 AM - Sandro Santilli

Charles, do you mean the bug is now fixed in master ?

#7 - 2013-06-02 07:46 AM - Giovanni Manghi

- Status changed from Open to Feedback

#8 - 2013-06-30 12:23 PM - Maxim Dubinin

Sandro, Giovanni,

as I understood, no, Charles thanked me for the solution that involved editing registry. But the problem is still there. See #7377

I guess both this ticket and #7377 should be closed when it is fixed. Seems like an easy fix, btw)

#9 - 2013-06-30 12:42 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Feedback to Closed

duplicate of #7377
